import { AuthStore } from "auth/domain/authStore";

type AuthenticationStore = Pick<AuthStore, "authenticate" | "isLogedIn">

const authenticationUseCase = (store: AuthenticationStore, code: string) => {
  store.authenticate(code);
};

export { authenticationUseCase };
